# File: ATSortableMultiSelectionWidget.py

# Copyright (c) 2005 by tomcom GmbH
#
# Generated: Wed Feb 16 14:18:42 2005
# Generator: ArchGenXML Version 1.2 beta 1 http://sf.net/projects/archetypes/
#
# GNU General Public Licence (GPL)
# 
# This program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation; either version 2 of the License, or (at your option) any later
# version.
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
# Place, Suite 330, Boston, MA  02111-1307  USA
#
__author__  = '''Kai Hoppert <kai.hoppert@tomcom.de>'''
__docformat__ = 'plaintext'

from Globals import InitializeClass

from Products.Archetypes.Widget import MultiSelectionWidget
from Products.Archetypes.Registry import registerWidget,registerPropertyType
from AccessControl import ClassSecurityInfo

class SortableMultiSelectionWidget(MultiSelectionWidget):
    _properties = MultiSelectionWidget._properties.copy()
    _properties.update({
        'macro' : "orderedmultiselection",
        'helper_js': ('order.js',),
        'helper_css': ('order.css',),
        })

registerWidget(SortableMultiSelectionWidget,
               title='Sortable MultiSelectionWidget',
               description=('You have the posibility to sort the values you choose.'),
               used_for=('Products.Archetypes.Field.LinesField',)
               )

